Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 19 Mar 2023 15:52:23 +0000

Hi Mohammad Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Delivery was made to incorrect address although I informed your representatives of the correct one. Incorrect address was selected at the time of order so I got in touch and was assured that delivery will be made to the correct one. But it was made to the Incorrect one. Either re deliver to the correct location or give a refund. 

Also totally unsatisfied with the representative that I got in touch with. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5890365